version: "3.5"
services:
  core:
    container_name: ska-src-data-management-api-core
    image: ska-src-data-management-api-core:latest
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      DISABLE_AUTHENTICATION: "no"
      API_ROOT_PATH:
      API_SCHEME: http
      IAM_CLIENT_CONF_URL: https://ska-iam.stfc.ac.uk/.well-known/openid-configuration
      API_IAM_CLIENT_ID: 0ab39d2f-5428-484b-815d-dadfbad17416
      API_IAM_CLIENT_SECRET:
      API_IAM_CLIENT_SCOPES: openid profile
      API_IAM_CLIENT_AUDIENCE: data-management-api
      PERMISSIONS_API_URL: https://permissions.srcdev.skao.int/api/v1
      PERMISSIONS_SERVICE_NAME: data-management-api
      PERMISSIONS_SERVICE_VERSION: 1
      SCHEMAS_RELPATH: ../../../etc/schemas
      METADATA_SCHEMA_NAME: metadata.json
      SITE_CAPABILITIES_URL: https://site-capabilities.srcdev.skao.int/api/v1
      SITE_CAPABILITIES_CLIENT_ID: 1f901a38-955f-4198-aedb-002332a3c551
      SITE_CAPABILITIES_CLIENT_SECRET:
      SITE_CAPABILITIES_CLIENT_SCOPES: openid profile site-capabilities-api-service
      SITE_CAPABILITIES_CLIENT_AUDIENCE: site-capabilities-api
      GEOIP_LICENSE_KEY:
      RUCIO_HOST_URL: https://rucio.srcnet.skao.int/
      RUCIO_ADMIN_CLIENT_ID: 05194e43-b356-447f-825f-6377cdaa48a5
      RUCIO_ADMIN_CLIENT_SECRET:
      RUCIO_ADMIN_CLIENT_SCOPES: openid profile offline_access wlcg.groups
      RUCIO_ADMIN_CLIENT_AUDIENCE: rucio https://wlcg.cern.ch/jwt/v1/any
      RUCIO_ACCOUNT: root
      CACHE_TYPE: redis
      CACHE_HOST: ska-src-data-management-api-cache
      CACHE_PORT: 6379
    ports:
      - 8080:8080
  cache:
    container_name: ska-src-data-management-api-cache
    image: redis:7.0.11
    ports:
      - 6379:6379
  celery:
    container_name: ska-src-data-management-api-celery
    image: ska-src-data-management-api-celery:latest
    build:
      context: .
      dockerfile: Dockerfile.celery
    environment:
      REDIS_CACHE_HOST: ska-src-data-management-api-cache
      REDIS_CACHE_PORT: 6379



